AutoCAD .NET :: Replacing Text Of MText And DBText Entities With Some String Value
Jun 15, 2012
I was writing code for my custom .net extension dll and one of the procedure involved therein was to replace the Text of MTEXT and DBTEXT entities with some predetermined Text String. I am using C#, AutoCAD 2012, and Visual Studio 2010. Here is the part of code wherein I am trying to replace the Text String of the MTEXT or DBTEXT entities.
foreach (SelectedObject selectedObject in selectionSet) { Entity currentEntity = transaction.GetObject(selectedObject.ObjectId, OpenMode.ForWrite, false) as Entity; if (currentEntity == null) { continue; } if (currentEntity.GetType() == typeof(MText)) { ((MText)currentEntity).Contents = textToCopy; } else { ((DBText)currentEntity).TextString = textToCopy; } } transaction.Commit();
The issue is that the text of the MTEXT or DBTEXT is not getting replaced with the string I am trying to. I debugged the code and it correctly hits the setting of MText.Contents == "Some String" and also transaction.commit(). But the text of the MTEXT still remains to the old value. Is this the correct way of changing the text of MTEXT / DBTEXT through the .Net API.
View 3 Replies
ADVERTISEMENT
Mar 27, 2012
I am trying to add text to a set of text strings in a drawing.
The tricky part is that not all of the text strings are the same.
For example, change part numbers
123, 125, 456, 892
to
123-70, 125-70, 456-70, 892-70
Is there a way to do this for all of the strings at once?
View 9 Replies
View Related
Aug 20, 2013
I'm looking for a function to return the actual text from an mtext object.if there's a carraige return I wish to replace it with a space.
View 4 Replies
View Related
Aug 20, 2011
is there any solution to change a special character font in paragraph.
I'm formatting a book in corel and want to change all the question marks (?) in a different font while retaining other characters in same fonts. Is there any possibility in corel? I've searched on internet but there is nothing useful.
View 1 Replies
View Related
Jul 19, 2012
Is there a way when finding and replacing a text string to style the block of copy. My problem is that I have some color codes given by the customer that now need to be converted to our internal color matches on our production drawings.
The original string of text looks like this:
Holder: P1 (Metallic Silver)
What I’m getting when I go to replace this string is:
Holder: Natural Satin
What I want is:
Holder: Natural Satin
I do not want the replaced text to be italicized. I'm thinking since the original string ends with an italic style that the replacement string is also italicized. There are about 50 pages of drawings with about 10 colors on the job and some pages have them entered in more than one place. So that's a minimum of 500 entries and defititely more considereing the multiple places these are called out. I'd really rather not have to copy and paste all of these by hand. I'm use to FreeHand, which would respect the font styling of pasted text in the find and replace diaglog.
View 6 Replies
View Related
May 17, 2012
I have a routine that looks for an MText date stamp and replace the old date with a new date. The problem is some MText strings appear encrypted. Below is an example:
{\H1.121x;\C1; \LFY 2011-12\l \H0.6252x;04-30-11} This is what I should get when I extract the string (as shown in Property window)
(1 . "\pxi-2.1818,l4.3636,ql,t4.3636;{\fSymbol|b1|i0|c2") is what I get when I extract the group code.
I'm running AutoCAD 2012 on Windows 7.
View 2 Replies
View Related
Mar 16, 2012
I am using M Text Attributes to store imperial lengths in the drawing, feet inches and fractions (stacked). When I read back the Text String property which, is the M text Attribute.Contents parsed, I am having problems because the parser does not add a space between the inch and the fraction. So, is there any setting that could be used to tell the parser to add the space between the inch and the fraction?
View 1 Replies
View Related
Jan 12, 2011
I was wondering if there is a way that AutoCad can edit one text string and the same change can affect another text string, instead of editing the same thing twice.
View 9 Replies
View Related
Feb 18, 2013
I write a code to replace strings in one string.for example
str="AutoDesk, AutoCAD, 2013, Electrical, 64Bit"
patt=", "
NewStr=" - "
==> result: "AutoDesk - AutoCAD - 2013 - Electrical - 64Bit"
;;replaces NewStr instead of Patt(s) in Str string(defun ReplaceStr (NewStr Patt Str)(While (> (vl-string-search ptt str) 0)(setq Str (vl-string-subst NewStr patt Str)) );;whilestr) ; usage;(ReplaceStr " - " ", " "AutoDesk, AutoCAD, 2013, Electrical, 64Bit")
==> result= ; error: bad argument type: (or stringp symbolp): nil
View 9 Replies
View Related
Oct 16, 2012
I am lifting mtext from a drawing and then working with the result. For some reason the "\pxi-" at the beginning of the string I am lifting is converting to " pxi-" when worked with as a string in vb.net. The result is this, when I apply the string back to mtext I get a bunch of messed up formatting codes at the beginning rather than a formatted piece of text.
This seems to be related to the "\" Is this automatically getting modified by vb or autocad when I pull the source text?
View 3 Replies
View Related
Nov 16, 2012
i failed to find one which would change string of a text to other for all types of objects. I mean it was usually either only multitext, or only text, dimensions or attributes.creating one which would change in abt 200 drawings:
-001
-002
-003
to:
-00001
-00002
-00003
in attributes, text, multittext, leaders, multileaders, dimensions..... at the same moment?
It is meant to be used in ScriptPro (by loading lisp in script).
If not possible, then can also open each file and run the lisp in each of them - still would save lot of time.
View 4 Replies
View Related
Sep 26, 2012
I was wondering if there is a way to change multiple entities of Mtext. I tried CHT but the options are limited. Is there a way of say changing the color?
View 6 Replies
View Related
Oct 3, 2011
I've been looking for a solution to remove the unit string ie Lbs, g, kg from the value given from a 'Mass' value in a text string.
As you may all know, creating text and having a 'physical property - mass' value...the unit string is there...
Lots of people on here have the problem...no-one has got a solution.
Until now...
Basically...open the part you need to get the mass property of in your text string.
Follow the instructions on this webpage...this is the first part...
[URL]
Basically, this creates a Mass property value in the parameters table that you can call on as a text parameter.
It's similar to the custom iproperty model - mass but NOT the same.
Once you have done this, you can go to the drawing of the part and create a text string in the drawing and call it up as shown in this procedure. BUT it still has the unit string.
Here's the best bit that you want to know...
To get RID of the unit string...open up the part again from the drawing...click on the parameter icon...find the user parameter...in the Nominal value column, right click on the value and you get a pop-up that gives you 3 options...
Custom Property Format, Make Multi Value & Delete Parameter.
Click on Custom Property Format.
The pop-up window comes up...showing you the property type...in my case...the 4 left columns read Text, g (grams), Format & Precision...
On the right hand side I have a Preview of the text...then 3 check boxes...Units string, Leading Zero's, Trailing Zero's.
Units string is checked.
Uncheck it.
Close it...Save your part...go back to the drawing and hey presto!...the text now shows the weight you require as a straight value...no units!
View 9 Replies
View Related
Jan 31, 2012
I have multiple singular text objects on my screen and I want to convert them to mtext so I can use the Background Mask option within mtext on my drawing. how to quickly select all the text and convert it to mtext without it combinin ginto 1 mtext?
View 9 Replies
View Related
Jun 26, 2012
What I want to do is have text edit for single line text to start at the end of a string of text instead of high lighting the entire text. Is it possible to do this?
View 4 Replies
View Related
Sep 28, 2012
Instead of adding text as a prefix or suffix i would like to know if it is possible aswell to remove text from within text: For example:
I have these texts "I am not good", "he is not good", "what not to be" And i would like to remove the word "not" from all selected text so i would get "i am good", "he is good" , "what to be". The set word not will always be the same, so there is no need for user string input.
View 6 Replies
View Related
Apr 9, 2012
When I insert text with either the TEXT command or MTEXT command, the text is displayed mirrored. This doesn't seem to have anything to do with the MIRRTEXT variable because that is used when I'm actually mirroring the text. In my case, the text is mirrored as soon as I insert it. How can I get it back to normal? Is there a variable I'm missing?
I'm using AutoCAD LT 2012 .
View 3 Replies
View Related
Oct 4, 2011
3rd party tool which didn't match our scaling needs the file is a fas so I have tried to reverse engineer the whole function using trial and error. The following code works perfect except we need multiple (x amount) lines of text I have at current the M txt function which mimics and is effective for today however we need all lines to be individual.
I’m playing round with a loop but how to achieve my need..He had a 3rd party tool which didn't match our scaling needs the file is a fas so I have tried to reverse engineer the whole function using trial and error.
The following code works perfect except we need multiple (x amount) lines of text I have at current the M txt function which mimics and is effective for today however we need all lines to be individual.
;Starting lisp program...(defun C:REDtext ();Creating Layers (if non existant)...(command "layer" "m" "TEKST-1.5mm" "lt" "continuous" "" "c" "1" "" "");Memorising previous layer...(setq MYOLDLAYER (getvar "clayer"));Setting requierd layer...(COMMAND "LAYER" "SET" "TEKST-1.5mm" "");Setting variable "MYHEIGHT" to "DIMSCALE" x 2...(setq myheight (* 2 (getvar "DIMSCALE" )));Requesting and storing usser defind point...(setq MYPOINT (getpoint "Start punt :")); Requesting and storing user defind text...(setq MYTEXT (getstring T "Nieuw tekst :"));Placing text...(command "text" MYPOINT MYHEIGHT "0" MYTEXT); Restoring previous layer...(setvar "clayer" MYOLDLAYER);Closing lisp program...)
View 1 Replies
View Related
Sep 4, 2013
I change a block's attributes programmatically using thisfunction I created:
private void UpdateAttributes(Database database, Detail det) { using (Transaction tr = database.TransactionManager.StartTransaction()) { //Grab the BlockReference the detail refers to. BlockReference block = (BlockReference)tr.GetObject(det.ObjectId, OpenMode.ForRead); //Iterate over the Attribute ids. foreach (ObjectId [code].......
You can ignore the Detail and Detail Attribute objects as they are also user-defined. Also note that this function expects the database to be currently open for working on.
Everything in this function works fine, but there is a strange quirk that becomes noticeable only when I use this function to edit an attribute that has its "Invisible" property set to "No".
Below, is the original block that is edited via this function:
As you can see, the block has a number with 4 digits (for our purposes, call this the Block Number).
View 6 Replies
View Related
Aug 16, 2012
In a drawing, i have several text strings, 's', that i would like to change to a known block... is this able to be done? there are over 3000 's' in the drawing, hoping to change them all to the same block. let me know if this can be done.
View 2 Replies
View Related
Aug 16, 2012
in a drawing, i have several text strings, 's', that i would like to change to a known block... is this able to be done? there are over 3000 's' in the drawing, hoping to change them all to the same block.
View 9 Replies
View Related
Aug 15, 2011
I know it is easy to enter special characters in using “%%” escape sequence. However, if I am not entering in single or multiline text, but rather in a dimension annotation’s “override” field, I found that the newly entered text completely overrides the original dimensional annotation.
For example, if originally I had a diameter of 7.98, and I would like to put a Φ sign in front of it to make Φ7.98, but it seems that there is no way to preserve the original content of 7.98 together with the Φ sign.
Is it possible to keep the original measurement within the string? What is the special character representing the original measurement?
View 5 Replies
View Related
Dec 18, 2009
I want to have a string of text that is curved at a given radius.
View 9 Replies
View Related
May 2, 2012
I have spent the last three days writing a lisp program that will copy a text string from one text file and paste it into another. I have tried using the write-string, get string, prin1, princ and print functions with no success.
View 2 Replies
View Related
Dec 20, 2011
I have a custom iProperty with a text value of "Plate, Steel 140 mm". Is it possible to strip out the 140 (text) from the string and convert it to a number?
View 7 Replies
View Related
Oct 18, 2013
Need to export to excel, just text entities from old drawing. Or convert to table, then export. As long as i can get the text to excel.
View 3 Replies
View Related
Oct 31, 2011
Any method to export text to excel such that the text is editable within excel?
I have a column of text (each text line is an individual mtext entity) and I would like them to appear in a column format in excel where each mtext entity has it's own cell.
View 6 Replies
View Related
Feb 15, 2013
how do i change the text and entities from Black to Red after the WBlock has been inserted into a new drawing and exploded.
View 9 Replies
View Related
Nov 18, 2011
I need to create a new layer named "Test" and change the already text layer to "Test" and off the layer "Test". I need to check whether that "Test" layer is existing or not. If not the layer should not be created.
View 7 Replies
View Related
Aug 25, 2013
DB text has a property called rotation but the rotation is the rotation from WCS x axis ( vector3d. Xaxis)
how can i get the rotation from the ucs x axis?
Dim Xaxis_UCS As Vector3d = Curent_UCS.CoordinateSystem3d.Xaxis
Dim x_ucs_wcs As Double = Xaxis_UCS.AngleOnPlane(New Plane(Point3d.Origin, Vector3d.ZAxis))
then i substract from rotation the ucs-wcs angle but it is not good.
View 1 Replies
View Related
Sep 5, 2012
I have text with number string. ( eg: weight 50 kg, xyz weight 362 kg)i want to extract the number values of "50" & "362" from the text string.
View 9 Replies
View Related